function CreateObject(url, view) {
    if (window.XMLHttpRequest) {
        req = new XMLHttpRequest();
        req.onreadystatechange = processStateChange;
        try {
            req.open("POST", url, true);
        } catch (e) {
            alert(e);
        }
        req.send(null);
    } else if (window.ActiveXObject) {
        req = new ActiveXObject("Microsoft.XMLHTTP");
        if (req) {
            req.onreadystatechange = processStateChange;
            req.open("POST", url, true);
            req.send();
        }
    }
}

function processStateChange() {
    if (req.readyState == 4) {
        if (req.status == 200) {
            theView.innerHTML = req.responseText;
        } else {
            apprise('<b class="RedText">Có lỗi:</b> Chức năng này đang được xây dựng hoặc không tồn tại.', {
                'animate': true
            });
        }
    }
}

function LoadPage(url, view) {
    theView = document.getElementById(view);
    theView.innerHTML = '<center><img border="0" src="Images/loading.gif"><br />Đang xử lý, vui lòng đợi!</center>';
    var Htmlf = CreateObject(url, view);
    return false;
}
var params1;
var req1;
var theView1;

function CreateRequest(url, view, types, sen) {
    if (window.XMLHttpRequest) {
        req1 = new XMLHttpRequest();
        req1.onreadystatechange = res;
        try {
            req1.open("POST", url, true);
            req1.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
        } catch (e) {
            alert("e");
        }
        req1.send(sen);
    } else if (window.ActiveXObject) {
        req1 = new ActiveXObject("Microsoft.XMLHTTP");
        if (req1) {
            req1.onreadystatechange = res;
            req1.open("POST", url, true);
            req1.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
            req1.send(sen);
        }
    }
}

function res() {
    if (req1.readyState == 4) {
        if (req1.status == 200) {
            if (t != 'a') {
                theView1.innerHTML = req1.responseText;
            } else { /*alert(req1.responseText); */
                apprise(req1.responseText, {
                    'animate': true
                });
            }
        } else {
            apprise('Trang này đang được hoàn thiện.', {
                'animate': true
            });
        }
    }
}

function Request(url, view, types, sen) {
    t = types;
    if (t != 'a') {
        theView1 = document.getElementById(view);
        theView1.innerHTML = '<center><img border="0" src="Images/loading.gif"><br />Đang xử lý</center>';
    }
    var Htmlr = CreateRequest(url, view, types, sen);
    return true;
}

function flogin() {
    strsend = "acc=" + document.getElementById('txtacc').value + "&pass=" + document.getElementById('txtpass').value + "&VerifyCode=" + document.getElementById('txtVerifyCode').value + "&url=" + document.getElementById('url').value + "&tit=" + document.getElementById('tit').value;
    Request('Active/Login.asp', 'maincontent', 'w', strsend);
}

function agree(view) {
    if (document.getElementById('cagree').checked != true) {
        apprise('Bạn chưa đồng ý với thể lệ đăng ký', {
            'animate': true
        });
    } else {
        LoadPage('Page/Acc_Register.asp', view);
    }
}

function AddPoint(nhanvat, DL) {
    if (DL == false) {
        strsend = "sm=" + document.getElementById('intstr').value + "&nn=" + document.getElementById('intdex').value + "&sk=" + document.getElementById('intvit').value + "&nl=" + document.getElementById('intene').value + "&char=" + nhanvat;
        Request('Active/AddPoint.asp', 'maincontent', 'w', strsend);
    } else {
        strsend = "sm=" + document.getElementById('intstr').value + "&nn=" + document.getElementById('intdex').value + "&sk=" + document.getElementById('intvit').value + "&ml=" + document.getElementById('intcom').value + "&nl=" + document.getElementById('intene').value + "&char=" + nhanvat;
        Request('Active/AddPoint.asp', 'maincontent', 'w', strsend);
    }
}

function CheckReg() {
    strsend = 'acc=' + document.getElementById('txtacco').value + '&pass=' + document.getElementById('txtpassw').value + '&repass=' + document.getElementById('txtrepass').value + '&id=' + document.getElementById('intid').value + '&mail=' + document.getElementById('txtmail').value + '&loaiemail=' + document.getElementById('txtloaiemail').value + '&ques=' + document.getElementById('txtques').value + '&ans=' + document.getElementById('txtans').value + '&country=' + document.getElementById('txtcountry').value + '&xephang=' + document.getElementById('xhang').value + '&sexy=' + document.getElementById('sex').value + '&ketqua=' + document.getElementById('intketqua').value;
    Request('Active/checkreg.asp', 'maincontent', 'a', strsend)
}

function Register() {
    strsend = 'acc=' + document.getElementById('txtacco').value + '&pass=' + document.getElementById('txtpassw').value + '&repass=' + document.getElementById('txtrepass').value + '&id=' + document.getElementById('intid').value + '&mail=' + document.getElementById('txtmail').value + '&loaiemail=' + document.getElementById('txtloaiemail').value + '&ques=' + document.getElementById('txtques').value + '&ans=' + document.getElementById('txtans').value + '&country=' + document.getElementById('txtcountry').value + '&xephang=' + document.getElementById('xhang').value + '&sexy=' + document.getElementById('sex').value + '&ketqua=' + document.getElementById('intketqua').value;
    Request('Active/Register.asp', 'maincontent', 'w', strsend);
}

function Wait(redirect) {
    setTimeout("LoadPage('Page/" + redirect + "','maincontent')", 5000);
}

function Redirect(redirect) {
    LoadPage('Page/' + redirect,'maincontent');
}

function WaitMain(redirect, view) {
    setTimeout("LoadPage('Page/" + redirect + "','" + view + "')", 6000);
}

function Chat() {
    LoadPage('Page/Message.asp', 'chatroom');
    setTimeout("Chat()", 5000);
}

function ChangeAccInfo() {
    strsend = 'name=' + document.getElementById('txtname').value + '&mail=' + document.getElementById('txtmail').value + '&ques=' + document.getElementById('txtques').value + '&ans=' + document.getElementById('txtans').value + '&country=' + document.getElementById('txtcountry').value + '&sexy=' + document.getElementById('sex').value;
    Request('active/ChangeAccInfo.asp', 'maincontent', 'w', strsend);
}

function ClearVaultPass() {
    qes = confirm("Bạn chắc chắn muốn xoá mã nhà kho chứ?");
    if (qes == true) {
        oldpass = prompt("Mã nhà kho cũ là gì?");
        pass2 = prompt("Mật khẩu cấp 2 là gì?");
        Request('active/ClearVaultPass.asp', 'maincontent', 'a', 'opass=' + oldpass + '&pass2=' + pass2);
    }
}

function repairlogo(guild) {
    strchuoi = "";
    for (it = 1; it <= 64; it++) {
        strchuoi = strchuoi + document.getElementById('toado' + it).bgColor;
    }
    Request('active/RepairLogoGuild.asp', 'maincontent', 'w', 'pos=' + strchuoi + '&master=' + guild);
}

function BauCua() {
    strsend = "nai=" + document.getElementById('intnai').value + "&bau=" + document.getElementById('intbau').value + "&ga=" + document.getElementById('intga').value + "&ca=" + document.getElementById('intca').value + "&cua=" + document.getElementById('intcua').value + "&tom=" + document.getElementById('inttom').valueRequest('active/BauCua.asp', 'txtketqua', 'w', strsend);
}

function VaultPersonalClear() {
    if (document.getElementById('agreexoado').checked == true) {

        if (document.getElementById('xoa1phan').checked == true) {
            kxoa = 'xoa1phan';
        } else if (document.getElementById('xoaall').checked == true) {
            kxoa = 'xoaall';
        } else {
            kxoa = 'none';
        }

        strsend = "pass2=" + document.getElementById('txtpass2').value + "&name=" + document.getElementById('txtchar').value + "&kxoa=" + kxoa;
        Request('Active/VaultPersonalClear.asp', 'maincontent', 'w', strsend);

    } else {
        apprise('Bạn chưa đồng ý điều kiện để xóa đồ!', {
            'animate': true
        });
    }
}

function ThueDo(char, id) {
    if (document.getElementById('1thang' + id).checked == true) {
        tgthue = 1;
    } else if (document.getElementById('3thang' + id).checked == true) {
        tgthue = 3;
    } else if (document.getElementById('6thang' + id).checked == true) {
        tgthue = 6;
    } else if (document.getElementById('12thang' + id).checked == true) {
        tgthue = 12;
    } else {
        tgthue = 'none';
    }

    if (tgthue != 'none') {
        apprise('Bạn chắc chắn muốn thuê món này ' + tgthue + ' tháng và đã để trống 4 dòng đầu trong hòm đồ nhân vật ' + char + '?', {
            'verify': true
        }, function (r) {
            if (r) {
                strsend = "id=" + id + "&nhanvat=" + char + "&tgthue=" + tgthue;
                Request('Active/ThueDo.asp', 'maincontent', 'a', strsend);
            } else {
                return false;
            }
        });

    } else {
        apprise('Bạn chưa chọn thời gian thuê đồ!', {
            'animate': true
        });
    }
}

function MuaDo(string, args, id) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/WebShop.asp', 'maincontent', 'a', 'id=' + id);
        } else {
            return false;
        }
    });
}

function MuaDo10(string, args, id) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/WebShopCre.asp', 'maincontent', 'a', 'id=' + id);
        } else {
            return false;
        }
    });
}

function TayDiem(string, args, char) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/ClearPoint.asp', 'maincontent', 'w', 'name=' + char);
            Wait('Char_Manage.asp');
            return false;
        } else {
            return false;
        }
    });
}

function ThoatTK() {
    qst = '<b class="RedText">Bạn chắc chắn muốn đăng xuất chứ?</b>';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
            Request('Active/LogOut.asp', 'maincontent', 'w', null);
            LoadPage('Page/View_LoginBox.asp', 'dlogin');
            return false;
        } else {
            return false;
        }
    });
}

function ActiveGiftCode(string, args, char) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/GiftCodeReset.asp', 'maincontent', 'w', 'char=' + char);
            Wait('Char_Manage.asp');
            return false;
        } else {
            return false;
        }
    });
}

function ActiveGiftCodeJewel(string, args, code) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/GiftCodeJewel.asp', 'maincontent', 'w', 'giftcode=' + code);
            Wait('Mod_GiftCode.asp');
            return false;
        } else {
            return false;
        }
    });
}

function KhoaGiaoDich() {
    if (document.getElementById('agreedk').checked == true) {

        if (document.getElementById('khoado').checked == true) {
            lenh = 'khoado';
            strsend = "pass2=" + document.getElementById('txtpass2').value + "&lenh=" + lenh;
        } else if (document.getElementById('mokhoa').checked == true) {
            lenh = 'mokhoa';
            strsend = "pass2=" + document.getElementById('txtpass2').value + "&odp=" + document.getElementById('txtodp').value + "&lenh=" + lenh;
        } else {
            lenh = 'none';
            strsend = "pass2=" + document.getElementById('txtpass2').value + "&lenh=" + lenh;
        }

        Request('Active/BaoVeDo.asp', 'maincontent', 'w', strsend);

    } else {
		apprise('Bạn cần phải đọc kỹ Chú ý và đồng ý các điều kiện!', {
            'animate': true
        });
    }
}

function BlockItem() {

    if (document.getElementById('khoado').checked == true) {
        lenh = 'khoado';
        strsend = "pass2=" + document.getElementById('txtpass2').value + "&char=" + document.getElementById('txtchar').value + "&lenh=" + lenh;
    } else if (document.getElementById('mokhoa').checked == true) {
        lenh = 'mokhoa';
        strsend = "pass2=" + document.getElementById('txtpass2').value + "&char=" + document.getElementById('txtchar').value + "&odp=" + document.getElementById('txtodp').value + "&lenh=" + lenh;
    } else {
        lenh = 'none';
        strsend = "pass2=" + document.getElementById('txtpass2').value + "&char=" + document.getElementById('txtchar').value + "&lenh=" + lenh;
    }

    Request('Active/BlockItem.asp', 'maincontent', 'w', strsend);

}

function GhiLoDe() {

    if (document.getElementById('lo').checked == true) {
        lenh = 'ghilo';
        strsend = "solode=" + document.getElementById('txtnum').value + "&sovzen=" + document.getElementById('txtvzen').value + "&lenh=" + lenh;
    } else if (document.getElementById('de').checked == true) {
        lenh = 'ghide';
        strsend = "solode=" + document.getElementById('txtnum').value + "&sovzen=" + document.getElementById('txtvzen').value + "&lenh=" + lenh;
	} else if (document.getElementById('xi').checked == true) {
        lenh = 'loxien';
        strsend = "solode=" + document.getElementById('txtnum').value + "&sovzen=" + document.getElementById('txtvzen').value + "&lenh=" + lenh;
    } else {
        Redirect('XoSo_LoDe.asp');
        return false;
    }

    Request('Active/LoDe.asp', 'maincontent', 'a', strsend);

}

function Cre2Vzen(name,Cre) {
    qst = 'Bạn chắc chắn muốn chuyển <b class="RedText">'+Cre+'</b> Ngọc Sáng Tạo thành Vzen';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "name=" + name + "&so7id=" + document.getElementById('txt7id').value;
            Request('Active/Cre2Vzen.asp', 'maincontent', 'w', strsend);
			Wait('Mod_Cre2Vzen.asp');
            return false;
        } else {
            return false;
        }
    });
}

function Chaos2Bank(name,Chaos) {
    qst = 'Bạn chắc chắn muốn chuyển <b class="RedText">'+Chaos+'</b> Ngọc Hỗn Nguyên vào Ngân Hàng';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "name=" + name + "&so7id=" + document.getElementById('txt7id').value;
            Request('Active/Chaos2Bank.asp', 'maincontent', 'w', strsend);
			Wait('Mod_Chaos2Bank.asp');
            return false;
        } else {
            return false;
        }
    });
}

function Blue2Bank(name,Blue) {
    qst = 'Bạn chắc chắn muốn chuyển <b class="RedText">'+Blue+'</b> Lông Vũ vào Ngân Hàng';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "name=" + name + "&so7id=" + document.getElementById('txt7id').value;
            Request('Active/Blue2Bank.asp', 'maincontent', 'w', strsend);
			Wait('Mod_Blue2Bank.asp');
            return false;
        } else {
            return false;
        }
    });
}

function ReLifeChar() {
	char = document.getElementById('txtchar').value;
    LoadPage('Page/Char_ReLife.asp?char='+char,'maincontent');
}

function LyHon(string, args, char) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/LyHon.asp', 'maincontent', 'w', 'name=' + char);
            Wait('Char_Manage.asp');
            return false;
        } else {
            return false;
        }
    });
}

function Item2Vnd(name,sotien) {
    qst = 'Bạn chắc chắn muốn chuyển <b class="RedText">'+sotien+'</b> VND vào tài khoản ngân hàng MU';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "name=" + name + "&so7id=" + document.getElementById('txt7id').value;
            Request('Active/Item2Vnd.asp', 'maincontent', 'w', strsend);
			Wait('Mod_Item2Vnd.asp');
            return false;
        } else {
            return false;
        }
    });
}

function RefreshCaptcha(valImageId) {
	var objImage = document.getElementById(valImageId)
	if (objImage == undefined) {
		return;
	}
	var now = new Date();
	objImage.src = objImage.src.split('?')[0] + '?x=' + now.toUTCString();
}

function Comma(Num) { //function to add commas to textboxes
	Num += '';
	Num = Num.replace(',', ''); Num = Num.replace(',', ''); Num = Num.replace(',', '');
	Num = Num.replace(',', ''); Num = Num.replace(',', ''); Num = Num.replace(',', '');
	x = Num.split('.');
	x1 = x[0];
	x2 = x.length > 1 ? '.' + x[1] : '';
	var rgx = /(\d+)(\d{3})/;
	while (rgx.test(x1))
		x1 = x1.replace(rgx, '$1' + ',' + '$2');
	return x1 + x2;
}

function BanNgoc() {
	if (document.getElementById('ngocchao').checked == true) {
		loaingoc = 'chaos';
		msgloaingoc = 'Ngọc Hỗn Nguyên';
	} else if (document.getElementById('ngoccre').checked == true) {
		loaingoc = 'ngoccre';
		msgloaingoc = 'Ngọc Sáng Tạo';
	} else if (document.getElementById('longvu').checked == true) {
		loaingoc = 'longvu';
		msgloaingoc = 'Lông Vũ';
	} else {
		apprise('<strong style=color:#F00>Bạn chưa chọn loại ngọc cần bán!</strong>', {
            'animate': true
        });
		return false;
	}
	soluong = document.getElementById('txtsl').value;
	soluong = soluong.split(",").join("");
	msgsoluong = soluong.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
	mkodp = document.getElementById('txtodp').value;
	giatien = document.getElementById('txtgiatien').value;
	giatien = giatien.split(",").join("");
	msggiatien = giatien.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
	if (isNaN(soluong) || soluong <= 0 || soluong % 1 !== 0) {
		apprise('<strong style=color:#F00>Số lượng phải là số nguyên dương!</strong>', {
            'animate': true
        });
		return false;
	}
	if (isNaN(giatien) || giatien < 50000 || giatien % 1000 !== 0) {
		apprise('<strong style=color:#F00>Giá tiền muốn bán phải lớn hơn 50,000 VND và là bội số của 1000!</strong>', {
            'animate': true
        });
		return false;
	}
	if (mkodp == '') {
		apprise('<strong style=color:#F00>Vui lòng điền mật khẩu ODP!</strong>', {
            'animate': true
        });
		return false;
	}
    qst = 'Bạn chắc chắn muốn bán <b class="RedText">'+msgsoluong+' '+msgloaingoc+'</b> với giá tiền <b class="RedText">'+msggiatien+'</b> VND trên Chợ Trời?';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "loaingoc=" + loaingoc + "&soluong=" + soluong + "&giatien=" + giatien + "&mkodp=" + mkodp;
            Request('Active/ChoTroi_BanNgoc.asp', 'maincontent', 'w', strsend);
			//Wait('Mod_ChoTroi_BanNgoc.asp');
            return false;
        } else {
            return false;
        }
    });
}

function BanTK(tkban) {
	mkodp = document.getElementById('txtodp').value;
	tknhantien = document.getElementById('txttknhan').value;
	giatien = document.getElementById('txtgiatien').value;
	giatien = giatien.split(",").join("");
	msggiatien = giatien.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
	if (isNaN(giatien) || giatien < 50000 || giatien % 1000 !== 0) {
		apprise('<strong style=color:#F00>Giá tiền muốn bán phải lớn hơn 50,000 VND và là bội số của 1000!</strong>', {
            'animate': true
        });
		return false;
	}
	
	if (tknhantien == '' || tknhantien == tkban) {
		apprise('<strong style=color:#F00>Vui lòng điền một tài khoản '+document.getElementById('txttenMU').value+' khác để nhận tiền khi bán được tài khoản này!</strong>', {
            'animate': true
        });
		return false;
	}
	if (mkodp == '') {
		apprise('<strong style=color:#F00>Vui lòng điền mật khẩu ODP!</strong>', {
            'animate': true
        });
		return false;
	}
    qst = 'Bạn chắc chắn muốn bán TK: <b class="RedText">'+tkban+'</b> với giá tiền <b class="RedText">'+msggiatien+'</b> VND trên Chợ Trời?';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "giatien=" + giatien + "&mkodp=" + mkodp + "&tknhan=" + tknhantien;
            Request('Active/ChoTroi_BanTK.asp', 'maincontent', 'w', strsend);
			//Wait('ChoTroi_BanTK.asp');
            return false;
        } else {
            return false;
        }
    });
}

function BanDoChoTroi(tendoban) {
	mkodp = document.getElementById('txtodp').value;
	giatien = document.getElementById('txtgiatien').value;
	giatien = giatien.split(",").join("");
	theoset = document.getElementById('txttheoset').value;
	msggiatien = giatien.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
	if (isNaN(giatien) || giatien < 50000 || giatien % 1000 !== 0) {
		apprise('<strong style=color:#F00>Giá tiền muốn bán phải lớn hơn 50,000 VND và là bội số của 1000!</strong>', {
            'animate': true
        });
		return false;
	}
	if (theoset == 'chonset') {
		apprise('<strong style=color:#F00>Vui lòng chọn bán lẻ từng món hoặc bán Theo SET!</strong>', {
            'animate': true
        });
		return false;
	}
	if (mkodp == '') {
		apprise('<strong style=color:#F00>Vui lòng điền mật khẩu ODP!</strong>', {
            'animate': true
        });
		return false;
	}
    qst = 'Bạn chắc chắn muốn bán: <b class="RedText">'+tendoban+'</b> với giá tiền <b class="RedText">'+msggiatien+'</b> VND trên Chợ Trời?';
    apprise(qst, {
        'verify': true
    }, function (r) {
        if (r) {
			strsend = "giatien=" + giatien + "&mkodp=" + mkodp + "&theoset=" + theoset;
            Request('Active/ChoTroi_BanDo.asp', 'maincontent', 'w', strsend);
			//Wait('ChoTroi_BanTK.asp');
            return false;
        } else {
            return false;
        }
    });
}

function MuaDoChoTroi(string, args, id) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/ChoTroi.asp', 'maincontent', 'a', 'id=' + id);
        } else {
            return false;
        }
    });
}

function NhanDoChoTroi(string, args, id) {
    apprise(string, args, function (r) {
        if (r) {
            Request('Active/ChoTroi_NhanDo.asp', 'maincontent', 'a', 'id=' + id);
        } else {
            return false;
        }
    });
}
